MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001583VCMIGUI - Adventure Mappublic2013-11-10 17:492015-10-24 16:22
Reporterbeegee 
Assigned ToWarmonger 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.94 
Target VersionFixed in Version0.98e 
Summary0001583: Player warning 'you only have x days left to capture a town' doesn't popup the first time + further tweaks for player warnings
Description1) The player warning 'you only have x days left to capture a town' doesn't popup for the first day without having any town.

It's a minor issue and not so easy to fix, but I want to hold it somewhere. (see more details below)

2) Further tweaks:
- Instead of the player color, the name of the player should be displayed in those player warning messages (only affects hot-seat games)
Steps To Reproduce1. Conquer town with player A
2. Next turn
3. No message for player B
Additional InformationThe problem has to do with the way player warnings are sent to clients. Those messages are generated on the server for every round/day. The town is lost during the first day, so the message wasn't created and so the client can't display it.

EDIT: We could also generate player warnings on the client side along with "Player's turn." message
TagsNo tags attached.
Attached Files

- Relationships
related to 0002072resolvedWarmonger After loading save of last 7 day without town you lose 

-  Notes
(0004145)
beegee (developer)
2013-11-30 09:54

Point 1) has been fixed in revision 3631. Player warnings are generated on the client side.
(0005978)
Warmonger (administrator)
2015-10-24 16:22

Possibly fixed in https://github.com/vcmi/vcmi/commit/61692ba168bafa5f08df9bbd7526bf21339b0dcb [^]

- Issue History
Date Modified Username Field Change
2013-11-10 17:49 beegee New Issue
2013-11-10 17:58 beegee Summary Player warning 'you only have x days left to capture a town' doesn't popup the first time => Player warning 'you only have x days left to capture a town' doesn't popup the first time + further tweaks for player warnings
2013-11-10 17:58 beegee Description Updated View Revisions
2013-11-11 11:55 beegee Additional Information Updated View Revisions
2013-11-30 09:53 beegee Description Updated View Revisions
2013-11-30 09:53 beegee Description Updated View Revisions
2013-11-30 09:54 beegee Note Added: 0004145
2013-11-30 09:58 beegee Description Updated View Revisions
2013-12-08 18:01 beegee Description Updated View Revisions
2015-10-24 15:58 Warmonger Relationship added related to 0002072
2015-10-24 16:22 Warmonger Note Added: 0005978
2015-10-24 16:22 Warmonger Status new => resolved
2015-10-24 16:22 Warmonger Fixed in Version => 0.98e
2015-10-24 16:22 Warmonger Resolution open => fixed
2015-10-24 16:22 Warmonger Assigned To => Warmonger

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean